org.apache.ignite.internal.processors.platform.memory

## Class PlatformAbstractMemory

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory

All Implemented Interfaces:
  AutoCloseable, PlatformMemory

Direct Known Subclasses:
  PlatformExternalMemory, PlatformPooledMemory, PlatformUnpooledMemory

    public abstract class PlatformAbstractMemory
    extends Object
    implements PlatformMemory

Interop memory chunk abstraction.

### Field Summary

Fields
`protected long` `memPtr` Cross-platform memory pointer.

### Constructor Summary

Constructors
`protected` `PlatformAbstractMemory(long memPtr)` Constructor.

### Method Summary

Methods
`int` `capacity()` Gets capacity.
`long` `data()` Gets data pointer.
`PlatformInputStream` `input()` Gets input stream.
`int` `length()` Gets length.
`PlatformOutputStream` `output()` Gets output stream.
`long` `pointer()` Gets pointer which can be passed between platforms.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.memory.PlatformMemory

`close, reallocate`

### Field Detail

#### memPtr

    protected long memPtr

Cross-platform memory pointer.

### Constructor Detail

#### PlatformAbstractMemory

    protected PlatformAbstractMemory(long memPtr)

Constructor.

Parameters:
  `memPtr` - Cross-platform memory pointer.

### Method Detail

#### input

    public PlatformInputStream input()

Gets input stream.

Specified by:
  `input` in interface `PlatformMemory`
Returns:
  Input stream.

#### output

    public PlatformOutputStream output()

Gets output stream.

Specified by:
  `output` in interface `PlatformMemory`
Returns:
  Output stream.

#### pointer

    public long pointer()

Gets pointer which can be passed between platforms.

Specified by:
  `pointer` in interface `PlatformMemory`
Returns:
  Pointer.

#### data

    public long data()

Gets data pointer.

Specified by:
  `data` in interface `PlatformMemory`
Returns:
  Data pointer.

#### capacity

    public int capacity()

Gets capacity.

Specified by:
  `capacity` in interface `PlatformMemory`
Returns:
  Capacity.

#### length

    public int length()

Gets length.

Specified by:
  `length` in interface `PlatformMemory`
Returns:
  Length.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017